=== debian/changelog ===
ros-humble-urdfdom-headers (1.0.6-2bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 31 Jul 2024 13:42:40 -0000
